/*********************************************************************************
**
**   $Id: bizinfo.ui.h,v 1.1 2004/06/08 11:48:16 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#include <qsettings.h>
#include "confdefs.h"

extern QSettings Config;

void BizInfo::saveValues()
{
   Config.writeEntry(CONFIG_BIZNAME,   biznameEdit->text()); 
   Config.writeEntry(CONFIG_BIZICON,   biziconEdit->text()); 
   Config.writeEntry(CONFIG_BIZADDR1,  bizaddr1Edit->text()); 
   Config.writeEntry(CONFIG_BIZADDR2,  bizaddr2Edit->text()); 
   Config.writeEntry(CONFIG_BIZCITY,   bizcityEdit->text()); 
   Config.writeEntry(CONFIG_BIZSTATE,  bizstateEdit->text()); 
   Config.writeEntry(CONFIG_BIZZIP,    bizzipEdit->text()); 
   Config.writeEntry(CONFIG_BIZPHONE,  bizphoneEdit->text()); 
   Config.writeEntry(CONFIG_BIZFAX,    bizfaxEdit->text()); 
   accept();
}

void BizInfo::initialize()
{
   biznameEdit->setText(Config.readEntry(CONFIG_BIZNAME,   ""));
   biziconEdit->setText(Config.readEntry(CONFIG_BIZICON,   ""));
   bizaddr1Edit->setText(Config.readEntry(CONFIG_BIZADDR1, ""));
   bizaddr2Edit->setText(Config.readEntry(CONFIG_BIZADDR2, ""));
   bizcityEdit->setText(Config.readEntry(CONFIG_BIZCITY,   ""));
   bizstateEdit->setText(Config.readEntry(CONFIG_BIZSTATE, ""));
   bizzipEdit->setText(Config.readEntry(CONFIG_BIZZIP,     ""));
   bizphoneEdit->setText(Config.readEntry(CONFIG_BIZPHONE, ""));
   bizfaxEdit->setText(Config.readEntry(CONFIG_BIZFAX,     ""));
}

