/*********************************************************************************
**
**   $Id: VendorSelect.h,v 1.2 2004/04/03 14:04:53 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#ifndef LEDGERFORM_H
#define LEDGERFORM_H

#include <qcombobox.h>

class VendorSelect : public QComboBox 
{
   Q_OBJECT               
   Q_PROPERTY( int vendor READ getVendor WRITE setVendor );

public:
   VendorSelect(QWidget * parent = 0, const char * _name = 0) : QComboBox(parent, _name) { refresh(); };
   int getVendor() const;
   void setVendor(int a);

public slots:
   void refresh();

protected:

private:
   QString name;
};

#endif

