/*********************************************************************************
**
**   $Id: WOLaborTable.cpp,v 1.2 2004/04/03 14:04:53 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#include "WOLaborTable.h"

static DataFields fields[] =
{
   { "ident",     "Ident",       0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   { "descr",     "Descr",       0,  0,  0,  0,  30,  0,  0, "", NULL, NULL },
   { "hours",     "Hours",       0,  0,  0,  0,   0, 10,  0, "", NULL, NULL },
   { "tech",      "Tech",        0,  0,  0,  0,   0,  7,  0, "", NULL, NULL },
   { "cost",      "Cost",        0,  0,  0,  0,  10,  0,  0, "", NULL, "money" },
   {  NULL, NULL, 0, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL}
};

WOLaborTable::WOLaborTable(QWidget *pParent, const char *pName) :
            DataTable(fields, "wo_labor_v", 100, pParent, pName)
{
   printf("WOLaborTable::WOLaborTable(default): Enter\n");
   sortBy("ident");
   refresh();
}
